

.header-container {
    padding: 2rem 0;
    text-align: center;
    background-color: var(--pri-background);
    color: var(--pri-foreground);
}

.header-container h3 {
    padding-top: 0;
}

.blurred-bg-container::before {
  content: "";
  position: absolute;
  inset: 0;
  top: -10px;   /* extend beyond edges */
  right: -10px;
  bottom: -10px;
  left: -10px;
  background-size:calc(100% + 2rem);
  background-position: center;
  filter: blur(8px);
  z-index: 0;
}
nav {
    z-index: 5;
    border-bottom: solid thin rgba(0,0,0,0.25);
    position: absolute;
    height: 4rem;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
    padding: 0 1rem;
    width: 100%;
    background-color: var(--pri-background);
    color: var(--pri-foreground);
}



#nav-logo {
    height: 3.5rem;
    width: 3.5rem;
    margin-top: .5rem;
}

nav h6 {
    background-color: var(--pri-foreground);
    color: var(--pri-background);
    padding: .3rem;
    text-align: center;
    border: solid thin rgba(0,0,0,.25);
    border-radius: 100%;
}



.section{
    width: 100%;
    padding: 4rem 0rem;
    text-align: center;
}



.login-form {
    margin: 7rem auto;
    width: 70%;
    max-width: 30rem;
}



.section:nth-child(odd) {
    background-color: var(--pri-background);
    color: var(--pri-foreground);
}

.section:nth-child(even) {
    background-color: var(--pri-foreground);
    color: var(--pri-background);
}

.section h3 {
    text-align: center;
    padding-bottom: 2rem;
}

#nav-menu-icon:hover {
    transform: scale(1.2);
    transition: transform .1s ease-in-out;
}
#nav-menu-icon {
    transition: transform .2s ease-in-out;
}

.viewport-container {
    scrollbar-width: none;
    margin: 0 auto;
    padding-top: 4rem;
    width: 100%;
    height: 100vh;
    overflow-y: scroll;
    transition: filter .1s ease-in-out;
    transition: transform .5s ease-in-out;
}

.content-max-width-container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

nav ul {
    padding: 3rem 0;
    z-index: 10;
    background-color: rgba(0,0,0,.5);
    display: block;
    position: absolute;
    top: 4rem;
    margin-left: -1rem;
    height: calc(100vh - 3rem);
    width: 0%;
    overflow: hidden;
    transition: width .1s ease-in-out;
}

nav ul li {
    border: solid thin rgba(0,0,0,.25);
    background-color: var(--pri-background);
    color: var(--pri-foreground);
    max-width: 50%;
    border-radius: .5rem;
    margin: 1.5rem auto;
    padding: 1rem;
    text-align: center;
    font-size: 125%;
}

.hero {
    padding: 0 25%;
    width: 100%;
}

.hero::before {
  background-image: url('../res/officer-smiling.png');
}


.hero img {
    position: relative;
    width: 100%;
    z-index: 1;
}

.hero-header {
    text-align: center;
    position: absolute;
    bottom: 2rem;
    left: calc(25% + 1rem);
    background-color: var(--pri-background);
    color: var(--pri-foreground);
    border-radius: 1rem;
    border: solid thin rgba(0,0,0,0.25);
    padding: .5rem 1rem;
    max-width: 45%;
    z-index: 2;

}

.hero-header h3 {
    padding: .5rem 0 1rem;
}

.img-flex-group {
    padding: 1rem 0;
    display: flex;
    justify-content: space-evenly;
}

.img-flex-group img {
    padding: .25rem;
    width: 5rem;
    border: solid thin rgba(0,0,0,0.25);
    border-radius: 1rem;
    object-fit: cover;
}

.contact-imgs img {
    background-color: var(--pri-foreground);
}

.contact-imgs img:hover {
    transform: scale(1.2);
}

.refer-a-friend::before {
    background-image: url('../res/refer-a-friend.png');
}

.blurred-image-container {
    background-image: url('../res/refer-a-friend.png');
}

#refer-a-friend-img {
    position: relative;
    width: 100%;
    z-index: 1;
}

.landing h2 {
    text-align: center;
}

.flex-container {
    flex-wrap: wrap;
    display: flex;
    padding: 1rem;
    justify-content: space-evenly;
}

.flex-card {
    flex-direction: row;
    flex-grow: 2;
    flex-basis: 0;
    min-width: 20rem;
    width: fit-content;
    display: flex;
    border: solid thin rgba(0,0,0,.25);
    border-radius: 1rem;
    padding: 1.5rem;;
    text-align: left;
    background-color: var(--pri-background);
    color: var(--pri-foreground);
    margin: 1rem .5rem;
    align-items: center;
}

.flex-card img {
    vertical-align: middle;
    background-color: var(--pri-foreground);
    border-radius: 1rem;
    padding: .5rem;
    height: 100%;
}

.flex-card h4 {
    vertical-align: middle;
    min-width: 0;
}

.control-tabs-group {
    width: 100%;
    display: flex;
    height: 4rem;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    background-color: #e0e0e0;
    border-bottom: solid thin rgba(0,0,0,.25);
}

.control-tab-btn {
    border: solid thin rgba(0,0,0,.25);
    border-radius: .5rem;
    background-color: var(--pri-background);
    color: var(--pri-foreground);
    font-size: 1rem;
}

.control-tab-btn:hover {
    background-color: var(--pri-highlight-background);
}


/************************************
|   START FRAMEWORK
************************************/
.btn-submit,
input[type='submit'],
button {
    border: solid thin rgba(255,255,255,.25);
    display: block;
    border-radius: .5rem;
    padding: .5rem 1.5rem;
    font-weight: bold;
    font-size: 1.25rem;
    background-color: var(--pri-highlight-background);
    color: var(--pri-foreground);
}

.btn-submit:hover,
input[type='submit']:hover,
button:hover {
    cursor: pointer;
    background-color: #0458ac;
}

input[type='checkbox'] {
    display: inline-block;
    width: auto;
    margin: 0 .5rem;
    transform: scale(1.5);
}

.input-group-classic {
    min-width: 20rem;
    padding: .75rem 1rem;
    text-align: left;
    width: 100%;
}

.input-group-classic label {
    align-items: center;
    text-align: left;
    margin: .5rem;
}

.input-group-classic input[type='text'],
.input-group-classic input[type='password'],
.input-group-classic input[type='tel'],
.input-group-classic input[type='datetime'],
.input-group-classic input[type='date'],
.input-group-classic textarea,
.input-group-classic select,
.input-group-editable input[type='text'],
.input-group-editable input[type='password'],
.input-group-editable input[type='tel'],
.input-group-editable input[type='datetime'],
.input-group-editable input[type='date'],
.input-group-editable textarea {
    margin: .5rem 0 0;
    display: block;
    width: 100%;
}

.input-group-merged {
    flex-grow: 2;
    min-width: 20rem;
    display: flex;
    padding: .75rem 1rem;
    text-align: left;
}

.input-group-merged label {
    display: flex;
    align-items: center;
    text-align: left;
    vertical-align: text-bottom;
    padding: .5rem 1rem;
    border-top: solid thin rgba(0,0,0,.25);
    border-left: solid thin rgba(0,0,0,.25);
    border-bottom: solid thin rgba(0,0,0,.25);
    background-color: rgb(238, 238, 238);
}

.input-group-merged input,
.input-group-merged select,
.input-group-merged input[type='date'] {
    flex-grow: 10;
    display: block;
}

.input-group-merged input[type='date'] {
    height: 100%;
}

.input-group-merged input[type='checkbox'] {
    flex-grow: 0;
    height: 100%;
    border-radius: 0;
    border: solid thin rgba(0,0,0,.25);
    transform: scale(1.25);
}

.input-group-merged textarea {
    height: 10rem;
    flex-grow: 10;
}

.input-group-editable {
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-content: center;
    flex-wrap: nowrap;
    border: solid thin rgba(0,0,0,.25);
    border-radius: 1rem;
    margin: .5rem;
    background-color: #eee;
    width: 40%;
    flex-grow: 3;
}

.input-group-editable input,
.input-group-editable select {
    display: block;
}

.input-group-editable .info-container {
    display: inline-block;
    flex-grow: 2;
}

.controls-container {
    display: flex;
    align-content: center;
    justify-content: center;
    flex-wrap: wrap;
}

.controls-container button{
    margin: 0 .25rem;
    height: fit-content;
}

.category-red {
    border: solid thin rgb(182, 0, 0);
    background-color: rgb(109, 1, 1);
    color: #eee;
}

.category-yellow {
    border: solid thin rgb(182, 182, 0);
    background-color: rgb(141, 141, 0);
    color: #eee;
}

.category-green {
    border: solid thin rgb(0, 182, 0);
    background-color: rgb(0, 110, 0);
    color: #eee;
    border-radius: .5rem;
}

h1, h2, h3, h4, h5, h6, label {
    font-weight: bold;
}

select {
    padding: .5rem;
    background-color: #fff;
}

p {
    line-height: 1.5rem;
    padding: .5rem 1rem;
}

textarea {
    padding: .5rem 1rem;
}

.divider-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.divider {
    flex-grow: 10;
    content: ' ';
    border-bottom: solid .15rem rgba(0,0,0,.5);
    height: fit-content;
    margin: 0 4rem;
}

.divider-header {
}

table {
    margin: 0 auto;
    border-spacing: 0;
    width: 100%;
    border-top: solid thin rgba(0,0,0,.15);
    border-right: solid thin rgba(0,0,0,.15);
    border-left: solid thin rgba(0,0,0,.15);
}

.table-wrapper {
    overflow: scroll;
    scrollbar-width: none;
    margin: 2rem auto;
    width: 100%;
    max-width: 100%;
}

tbody tr:nth-child(even) {
    background-color: #ccc;
}

thead {
    background-color: var(--pri-background);
    position: sticky;
    z-index: 10;
}

th {
    background-color: var(--pri-background);
    color: var(--pri-foreground);
    border-bottom: solid thin rgba(255,255,255,.15);
    padding: 1.5rem;
    position: sticky;
    top: 0;
}

td {
    border-bottom: solid thin rgba(0,0,0,.15);
    padding: 1rem;
    text-align: center;
}

.manage-resource-table tbody tr:hover {
    cursor: pointer;
    background-color: var(--action-background);
}

input[type='text'],
input[type='password'],
input[type='tel'],
input[type='date'] {
    padding: .25rem .5rem;
    background-color: #fff;
    vertical-align: middle;
}

input[type='date'] {
     appearance: none;            /* Remove native style */
  -webkit-appearance: none;    /* For Safari/Chrome iOS */
  padding: 10px;                /* Optional: tweak to center */
  height: 40px;     
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    list-style: none;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--pri-foreground);
}

:root {
    --pri-background: #043a70;
    --pri-highlight-background: #0a74dd;
    --pri-foreground: #d4dbdf;

    --action-background: #ffe0d3;
    --action-foreground: #72422c; 
}

input, select, textarea {
    border: solid thin rgba(0,0,0,.25);
    border-radius: 0;
    color: inherit;
}

textarea {
    resize: none;
}

a:visited {
    color: inherit;
    text-decoration: none;
    border: none;
}

.blurred-bg-container {
  position: relative;
  padding: 0 25%;
  width: 100%;
  overflow: hidden;
  color: white;
}

.border-thin {
    border: solid thin rgba(0,0,0,.25);
}

.border-r-0 {
    border-radius: 0;
}

.border-r-1 {
    border-radius: .25rem;
}

.border-r-2 {
    border-radius: .5rem;
}

.border-r-3 {
    border-radius: .1rem;
}

.d-flex {
    display: flex;
}

.d-none {
    display: none;
}

.flex-wrap {
    flex-wrap: wrap;
}

.float-right {
    float: right;
}

.float-left {
    float: left;
}

.just-cont-center {
    justify-content: center;
}

.just-cont-evenly {
    justify-content: space-evenly;
}

.d-inline {
    display: inline-block;
}

.w-25 {
    width: 25%;
}

.w-50 {
    width: 50%;
}

.w-75 {
    width: 75%;
}

.w-100 {
    width: 100%;
}

.w-fit {
    width: fit-content;
}

.h-20 {
    height: 20vh;
}

.h-40 {
    height: 40vh;
}

.h-50 {
    height: 50vh;
}

.h-60 {
    height: 60vh;
}

.h-80 {
    height: 80vh;
}

.h-100 {
    height: 100vh;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.mx-auto {
    margin-left: auto;
    margin-right: auto;
}

.m-0 {
    margin: 0;
}

.mx-0 {
    margin-left: 0;
    margin-right: 0;
}

.my-0 {
    margin-top: 0;
    margin-bottom: 0;
}

.m-1 {
    margin: .25rem;
}

.mx-1 {
    margin-left: .25rem;
    margin-right: .25rem;
}

.my-1 {
    margin-top: .25rem;
    margin-bottom: .25rem;
}

.m-2 {
    margin: .5rem;
}

.mx-2 {
    margin-left: .5rem;
    margin-right: .5rem;
}

.my-2 {
    margin-top: .5rem;
    margin-bottom: .5rem;
}

.m-3 {
    margin: 1rem;
}

.mx-3 {
    margin-left: 1rem;
    margin-right: 1rem;
}

.my-3 {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.m-4 {
    margin: 2rem;
}

.mx-4 {
    margin-left: 2rem;
    margin-right: 2rem;
}

.my-4 {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.m-5 {
    margin: 3rem;
}

.mx-5 {
    margin-left: 3rem;
    margin-right: 3rem;
}

.my-5 {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.p-0 {
    padding: 0
}

.p-1 {
    padding: .25rem;
}

.px-1 {
    padding-left: .25rem;
    padding-right: .25rem;
}

.py-1 {
    padding-top: .25rem;
    padding-bottom: .25rem;
}

.p-2 {
    padding: .5rem;
}

.px-2 {
    padding-left: 5rem;
    padding-right: 5rem;
}

.py-2 {
    padding-top: .5rem;
    padding-bottom: .5rem;
}

.p-3 {
    padding: 1rem;
}

.px-3 {
    padding-left: 1rem;
    padding-right: 1rem;
}

.py-3 {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.p-4 {
    padding: 2rem;
}

.px-4 {
    padding-left: 2rem;
    padding-right: 2rem;
}

.py-4 {
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.p-5 {
    padding: 3rem ;
}

.px-5 {
    padding-left: 3rem;
    padding-right: 3rem;
}

.py-5 {
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.toast-container {
    width: 100%;
    height: calc(100vh - 4rem);
    display: none;
    align-content: center;
    flex-wrap: wrap;
    justify-content: center;
    position: absolute;
    background-color: rgba(0,0,0,.6);
}

.toast {
    max-width: 25rem;
    height: fit-content;
    border: solid thin rgba(0,0,0,.25);
    border-radius: 1rem;
    background-color: #d4dbdf;
}

.toast h3 {
    background-color: var(--pri-background);
    color: var(--pri-foreground);
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
    height: 3rem;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
}

.toast-controls {
    margin: 2rem 0;
    display: flex;
    justify-content: space-around;
}

.toast-container {
    z-index: 10;
}

/************************************
|   END FRAMEWORK
************************************/

@media (max-width: 767.99px) {
    :root {
        font-size: 10px;
    }

    .blurred-bg-container {
        padding: 0;
    }

    .hero-header {
        position: absolute;
        bottom: .5rem;
        left: 1rem;
        background-color: var(--pri-background);
        color: var(--pri-foreground);
        border-radius: 1rem;
        border: solid thin rgba(0,0,0,0.25);
        padding: .5rem 1rem;
        max-width: 80%;

    }
}